# In Memory Message creator

## Functions
sandesha2_msg_ctx_t * | sandesha2_msg_creator_create_create_seq_msg (const axutil_env_t *env, sandesha2_msg_ctx_t *application_rm_msg, axis2_char_t *internal_seq_id, axis2_char_t *acks_to, sandesha2_seq_property_mgr_t *seq_prop_mgr)
sandesha2_msg_ctx_t * | sandesha2_msg_creator_create_create_seq_res_msg (const axutil_env_t *env, sandesha2_msg_ctx_t *create_seq_msg, axis2_msg_ctx_t *out_msg, axis2_char_t *new_seq_id, sandesha2_seq_property_mgr_t *seq_prop_mgr)
sandesha2_msg_ctx_t * | sandesha2_msg_creator_create_close_seq_res_msg (const axutil_env_t *env, sandesha2_msg_ctx_t *close_seq_msg, axis2_msg_ctx_t *out_msg, sandesha2_seq_property_mgr_t *seq_prop_mgr)
sandesha2_msg_ctx_t * | sandesha2_msg_creator_create_terminate_seq_msg (const axutil_env_t *env, sandesha2_msg_ctx_t *ref_rm_msg, axis2_char_t *seq_id, axis2_char_t *internal_seq_id, sandesha2_seq_property_mgr_t *seq_prop_mgr)
sandesha2_msg_ctx_t * | sandesha2_msg_creator_create_terminate_seq_res_msg (const axutil_env_t *env, sandesha2_msg_ctx_t *ref_rm_msg, axis2_msg_ctx_t *out_msg, sandesha2_seq_property_mgr_t *seq_prop_mgr)
axis2_status_t | sandesha2_msg_creator_add_ack_msg (const axutil_env_t *env, sandesha2_msg_ctx_t *app_msg, axis2_char_t *seq_id, sandesha2_seq_property_mgr_t *seq_prop_mgr)
sandesha2_msg_ctx_t * | sandesha2_msg_creator_create_make_connection_msg (const axutil_env_t *env, sandesha2_msg_ctx_t *ref_rm_msg_ctx, axis2_char_t *make_conn_seq_id, const axis2_char_t *internal_seq_id, axis2_char_t *make_conn_anon_uri, sandesha2_seq_property_mgr_t *seq_prop_mgr)

## Function Documentation

axis2_status_t sandesha2_msg_creator_add_ack_msg | ( | const axutil_env_t * | env,
|  | sandesha2_msg_ctx_t * | app_msg,
|  | axis2_char_t * | seq_id,
|  | sandesha2_seq_property_mgr_t * | seq_prop_mgr |
| ) |  |  |

Adds an ack message to the given application message.

Parameters:

  | app_msg |
  | sequence_id |

sandesha2_msg_ctx_t* sandesha2_msg_creator_create_close_seq_res_msg | ( | const axutil_env_t * | env,
|  | sandesha2_msg_ctx_t * | close_seq_msg,
|  | axis2_msg_ctx_t * | out_msg,
|  | sandesha2_seq_property_mgr_t * | seq_prop_mgr |
| ) |  |  |

Create a new close_seq_response message.

Parameters:

  | close_seq_msg |
  | out_msg |
  | seq_prop_mgr |

Returns:

sandesha2_msg_ctx_t* sandesha2_msg_creator_create_create_seq_msg | ( | const axutil_env_t * | env,
|  | sandesha2_msg_ctx_t * | application_rm_msg,
|  | axis2_char_t * | internal_seq_id,
|  | axis2_char_t * | acks_to,
|  | sandesha2_seq_property_mgr_t * | seq_prop_mgr |
| ) |  |  |

Create a new create_seq_msg

Parameters:

  | application_rm_msg |
  | internal_seq_id |
  | acks_to |

Returns:

sandesha2_msg_ctx_t* sandesha2_msg_creator_create_create_seq_res_msg | ( | const axutil_env_t * | env,
|  | sandesha2_msg_ctx_t * | create_seq_msg,
|  | axis2_msg_ctx_t * | out_msg,
|  | axis2_char_t * | new_seq_id,
|  | sandesha2_seq_property_mgr_t * | seq_prop_mgr |
| ) |  |  |

Create a new create_seq_response message.

Parameters:

  | create_seq_msg |
  | out_msg |
  | new_seq_id |

Returns: